<databaseChangeLog
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">

    <changeSet id="basic_entities_position_seq" author="author">
        <preConditions onFail="MARK_RAN">
            <not>
                <sequenceExists sequenceName="position_id_seq"/>
            </not>
        </preConditions>
        <createSequence sequenceName="position_id_seq" cacheSize="50" startValue="1" incrementBy="10" />
    </changeSet>
    <changeSet id="basic_entities_position" author="author">
        <createTable tableName="position">
            <column name="id" type="BIGINT" defaultValueSequenceNext="position_id_seq">
                <constraints nullable="false" primaryKey="true" primaryKeyName="position__id_idx"/>
            </column>
            <column name="parsed_qr_id" type="BIGINT">
                <constraints referencedTableName="parsed_qr" referencedColumnNames="id" foreignKeyName="position__parsed_qr_id_idx"/>
            </column>
            <column name="created_date" defaultValueComputed="CURRENT_TIMESTAMP" type="TIMESTAMP WITHOUT TIME ZONE">
                <constraints nullable="false"/>
            </column>
            <column name="last_modified_date" defaultValueComputed="CURRENT_TIMESTAMP" type="TIMESTAMP WITHOUT TIME ZONE">
                <constraints nullable="false"/>
            </column>
            <column name="version" type="INTEGER" defaultValue="1">
                <constraints nullable="false"/>
            </column>
            <column name="position_name" type="VARCHAR">
                <constraints nullable="false"/>
            </column>
            <column name="amount"  type="NUMERIC(16,2)" defaultValue="0">
                <constraints nullable="false"/>
            </column>

        </createTable>

    </changeSet>

    <changeSet id="basic_entities_position_seq_owner" author="author">
        <preConditions onFail="MARK_RAN">
            <sequenceExists sequenceName="position_id_seq"/>
            <tableExists tableName="position"/>
        </preConditions>
        <sql dbms="postgresql">
            ALTER SEQUENCE position_id_seq OWNED BY position.id;
        </sql>
    </changeSet>

</databaseChangeLog>
